# -*- coding: ISO-8859-15 -*-
# (C) Copyright 2005 Nuxeo SARL <http://nuxeo.com>
# Author: Lennart Regebro <regebro@nuxeo.com>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2 as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
# 02111-1307, USA.
#
# $Id: interfaces.py 24840 2005-07-12 14:18:24Z lregebro $
"""
  interfaces.py
"""
from zope.interface import Interface
from calcore.interfaces import IStorageManager, IAttendee

class ICpsStorageManager(IStorageManager):
    """A storage manager that does notifications"""

    def notifyOnStatusChange(attendee, event, old_status, new_status):
        """Notify on event modification. 
        
        kw holds a dict of attributes with the old values.
        """
     
    def notifyOnEventModification(event):
        """Notify on event modification. 
        
        kw holds a dict of attributes with the old values.
        """

class ICpsAttendee(IAttendee):
    """An attende with notifications"""

    def getUserId():
        """Returns the user id if this is a user attendee"""

